package cn.iocoder.yudao.framework.common.validation;

import cn.hutool.core.util.StrUtil;
import cn.iocoder.yudao.framework.common.util.validation.PhoneUtil;
import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;

public class MobileCodeValidator implements ConstraintValidator<MobileCode, String> {

    @Override
    public void initialize(MobileCode annotation) {
    }

    @Override
    public boolean isValid(String value, ConstraintValidatorContext context) {
        // 如果手机号为空，默认不校验，即校验通过
        if (StrUtil.isBlank(value)) {
            return true;
        }
        // 校验手机
//        return ValidationUtils.isMobileCode(value);
        return PhoneUtil.isMobileCode(value);
    }

}
